
module.exports = {

  development: {
    debug: true,
    client: 'postgresql',
    connection: {
      host: "localhost",
      database: "api",
      user:     "",
      password: ""
    },
  },

  staging: {
    client: 'postgresql',
    connection: {
      host: "accounting-production.ch5hu9oa9lig.us-east-1.rds.amazonaws.com",
      database: "api-staging",
      user:     "rodco",
      password: process.env.DB_PASSWORD
    },
  },

  production: {
    client: 'postgresql',
    connection: {
      host: "accounting-production.ch5hu9oa9lig.us-east-1.rds.amazonaws.com",
      database: "api",
      user:     "rodco",
      password: process.env.DB_PASSWORD
    },
    pool: {
      min: 2,
      max: 10
    },
    migrations: {
      tableName: 'knex_migrations'
    }
  }

};
