
exports.up = function(knex, Promise) {
  return knex.schema.createTableIfNotExists('identity', function (table) {
    table.increments();
    table.string('provider').notNullable();
    table.text('hash').notNullable();
    table.string('namespace_id').notNullable();
    table.integer('contact_id').unsigned().notNullable();
    table.foreign('contact_id').references('contact.id');
  });

};

exports.down = function(knex, Promise) {
  return knex.schema.dropTable("identity");
};
