
exports.up = function(knex, Promise) {
return knex.schema.createTableIfNotExists('project_buyer', function (table) {
    table.increments();
    table.integer('contact_id').unsigned();
    table.foreign('contact_id').references('contact.id');
    table.integer('project_opportunity_id').unsigned();
    table.foreign('project_opportunity_id').references('project_opportunity.id');
    table.string('namespace_id').notNullable();
  })
};

exports.down = function(knex, Promise) {
    return knex.schema.dropTable("project_buyer");
};
