
exports.up = function(knex, Promise) {
return knex.schema.createTableIfNotExists('contact-action', function (table) {
    table.increments();
    table.integer('contact_id').unsigned().notNullable();
    table.foreign('contact_id').references('contact.id');
    table.date("date");
    table.string("type"); //complete,scheduled
    table.string("name");
    table.json("details");
    table.string('namespace_id').notNullable();
    table.timestamp('created_at').defaultTo(knex.fn.now());
  })
};

exports.down = function(knex, Promise) {
    return knex.schema.dropTable("contact-action");
};
