//During the test the env variable is set to test
var Helper = require("./helper");

//Require the dev-dependencies
var chai = require('chai');
var BbPromise = require("bluebird");
var should = chai.should();
var knex = Helper.knex;
var knexfile = require("../knexfile")

var RodcoModels = require("../");
var Model;

var link;
var contact;

//Our parent block
describe('Access Link', () => {

  before(function (done) {
    Helper.setupTest(true,knexfile)
    .then(function(resultContact, knexfile){
      Model = RodcoModels.access_link;
      contact = resultContact;
      done()
    })
  });

  after(function (done) {
    Helper.clear()
    .then(function(){
      done()
    })
  });

    it('it should create a link', function(done){
      Model.create({contact_id: contact.id,namespace_id: context.namespace_id})
      .then( function(responseLink){
        link = responseLink;
        link.id.should.not.equal(null);
        done();
      })
    });

    it('it should get a link', function(done){
      Model.one(link.id)
      .then( function(link){
        done();
      })
    });

    it('it should delete a link', function(done){
      Model.delete(link.id)
      .then( function(){
        done();
      })
    });


});


