var RodcoModels = require("../");


var Helper = {};

Helper.setupTest = function(createContact, knexfile){

  var RodcoModels = require("../");
  RodcoModels.init(knexfile, process.env.NODE_ENV || "development")
  RodcoModels.setUser({ id: -1, first_name:"test",namespace_id: "unit_test" });
  var Contact = RodcoModels.contact;

  return Helper.clear()
  .then(function(){
    if( createContact ) return Contact.create({first_name: "test",last_name:"test",email:"test@email.com","mobile_phone":"1111"})
    else return true;
  })

}

Helper.clear = function(){
  if( RodcoModels.user.namespace_id == "rodco" ) throw new Error("Can't clear on namespace Rodco");

  return RodcoModels.knex.table("access_link").delete().where({namespace_id: RodcoModels.user.namespace_id})
  .then(function(){
    return RodcoModels.knex.table("contact-action").delete().where({namespace_id: RodcoModels.user.namespace_id})
  })
  .then(function(){
    return RodcoModels.knex.table("identity").delete().where({namespace_id: RodcoModels.user.namespace_id})
  })
  .then(function(){
    return RodcoModels.knex.table("project_buyer").delete().where({namespace_id: RodcoModels.user.namespace_id})
  })
  .then(function(){
    return RodcoModels.knex.table("project_activity").delete().where({namespace_id: RodcoModels.user.namespace_id})
  })
  .then(function(){
    return RodcoModels.knex.table("project_notification").delete().where({namespace_id: RodcoModels.user.namespace_id})
  })
  .then(function(){
    return RodcoModels.knex.table("project_opportunity").delete().where({namespace_id: RodcoModels.user.namespace_id})
  })
  .then(function(){
    return RodcoModels.knex.table("catalog_product").delete().where({namespace_id: RodcoModels.user.namespace_id})
  })
  .then(function(){
    return RodcoModels.knex.table("product").delete().where({namespace_id: RodcoModels.user.namespace_id})
  })
  .then(function(){
    return RodcoModels.knex.table("contact").delete().where({namespace_id: RodcoModels.user.namespace_id});
  })
}

module.exports = Helper;
