
exports.up = function(knex, Promise) {
  return knex.schema.createTableIfNotExists('access_link', function (table) {
    table.increments();
    table.string('namespace_id').notNullable();
    table.integer('contact_id').unsigned().notNullable();
    table.foreign('contact_id').references('contact.id');
  });

};

exports.down = function(knex, Promise) {
  return knex.schema.dropTable("access_link");
};
