
exports.up = function(knex, Promise) {
  return knex.schema.table('contact', function (table) {
    table.string('source').nullable();
    table.string('segments').nullable();
    table.string('first_name').nullable().alter();
    table.string('last_name').nullable().alter();
  })
};

exports.down = function(knex, Promise) {
  return knex.schema.table('contact', function (table) {
    table.dropColumn('source');
    table.dropColumn('segments');
  })
};
