var moment = require("moment");
var RodcoModels = require("../");

function Model(){};
Model.table_name = "identity";


Model.create = function(model){
  model.namespace_id = RodcoModels.user.namespace_id;
  return RodcoModels.knex.table(Model.table_name)
  .insert(model)
  .returning("*")
}

Model.deleteByContactIdAndProvider = function(model){
  return RodcoModels.knex.table(Model.table_name)
  .delete("*")
  .where({
    contact_id: model.contact_id,
    provider: model.provider,
    namespace_id: RodcoModels.user.namespace_id
  })
  .then( function(){
    return {};
  })
}


Model.one = function(id){
  return RodcoModels.knex.table(Model.table_name)
  .select("*")
  .where({namespace_id: RodcoModels.user.namespace_id,id: id})
}



module.exports= Model;
