var moment = require("moment");
var RodcoModels = require("../../");
var errors = require("throw.js");

function Model(){};
Model.table_name = "contact-action";

Model.create = function(model){
  model.namespace_id = RodcoModels.user.namespace_id;
  return RodcoModels.knex.table(Model.table_name)
  .insert(model)
  .returning("*")
  .then(function(results){
    return results[0];
  })
}

Model.markComplete = function(model){
  model.namespace_id = RodcoModels.user.namespace_id;
  return RodcoModels.knex.table(Model.table_name)
  .update({type: "complete"})
  where({id: model.id})
  .returning("*")
  .then(function(results){
    return results[0];
  })
}

module.exports= Model;
