//During the test the env variable is set to test
var Helper = require("./helper");

//Require the dev-dependencies
var chai = require('chai');
var BbPromise = require("bluebird");
var should = chai.should();
var knex = Helper.knex;

var RodcoModels = require("../");



//Our parent block
describe('Rodco Models', () => {

    it('it should load all models', function(){
      var knexfile = require("../knexfile");
      var Models = RodcoModels.init(knexfile, process.env.NODE_ENV || "development");
      RodcoModels.knex.should.not.equal(null);
      RodcoModels.contact.should.not.equal(null);
      RodcoModels.project.buyer.should.not.equal(null);

      RodcoModels.setUser( {id: -1, namespace_id: "test",first_name: "test"} );
      RodcoModels.user.id.should.equal(-1);
      RodcoModels.getUser().id.should.equal(-1);
    });




});

